Skip to content

GET /api/v3/fonts/{lcuid}

Summary

GET /fonts/{id}

Description

Returns a single font

Tags: creatives

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/fonts/LCUID-LP-989f75f4-8cdd-4e09-a93b-0478660da53a

 @responseFile storage/docs/responses/v3.font.json" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/fonts/LCUID-LP-989f75f4-8cdd-4e09-a93b-0478660da53a

 @responseFile storage/docs/responses/v3.font.json"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/fonts/LCUID-LP-989f75f4-8cdd-4e09-a93b-0478660da53a

 @responseFile storage/docs/responses/v3.font.json',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/fonts/LCUID-LP-989f75f4-8cdd-4e09-a93b-0478660da53a

 @responseFile storage/docs/responses/v3.font.json'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to fonts index | Back to main index